<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.HouseholdInfoMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.HouseholdInfo">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="householdCode" column="household_code" jdbcType="VARCHAR"/>
        <result property="householdHeadId" column="household_head_id" jdbcType="INTEGER"/>
            <result property="householdType" column="household_type" jdbcType="TINYINT"/>
            <result property="householdAddress" column="household_address" jdbcType="VARCHAR"/>
            <result property="belongingArea" column="belonging_area" jdbcType="VARCHAR"/>
            <result property="houseCode" column="house_code" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,household_code,household_head_id,
        household_type,household_address,
        belonging_area,house_code,create_time,
        update_time,del_flag
    </sql>
</mapper>
